# Generated from pseudo_legal_move_tablebase-shogi-2.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pseudo_legal_move_tablebase-shogi

Name: rubygem-%{gem_name}
Version: 2.2.1
Release: 1%{?dist}
Summary: A computerized database that contains precalculated exhaustive pseudo-legal moves of Shogi positions
License: MIT
URL: https://developer.sashite.com/specs/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
# BuildRequires: rubygem(brutal)
# BuildRequires: rubygem(rubocop-md)
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-rake)
# BuildRequires: rubygem(rubocop-thread_safety)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
A computerized database that contains precalculated exhaustive pseudo-legal
moves of Shogi positions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 2.2.1-1
- Initial package
